Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLConfig

    java.lang.Object
      ix.util.xml.XMLConfig

Direct Known Subclasses:
  Ip2XMLConfig

    public class XMLConfig

extends java.lang.Object

A class that can be used to configure the XML tools for a particular application or set of applications. It provides factory methods and information that affects the behaviour of the XML tools.

Field Summary
`protected ClassFinder` | `defaultClassFinder`
`protected ClassSyntax` | `defaultClassSyntax`
`protected FileSyntaxManager` | `defaultFileSyntaxManager`
`protected XMLTranslator` | `defaultXMLTranslator`
`protected java.lang.String` | `homeNameSpaceURI`
`protected java.lang.String` | `SAXDriverClass`

Constructor Summary
`XMLConfig()`

Method Summary
`void` | `addImport(java.lang.String name)` Adds an import in the default ClassFinder.
`ClassFinder` | `defaultClassFinder()`
`ClassSyntax` | `defaultClassSyntax()`
`FileSyntaxManager` | `defaultFileSyntaxManager()`
`XMLTranslator` | `defaultXMLTranslator()`
`org.jdom.Namespace` | `getHomeNamespace()`
`ClassFinder` | `makeClassFinder()`
`ClassSyntax` | `makeClassSyntax(ClassFinder finder)`
`protected void` | `makeDefaultInstances()`
`FileSyntaxManager` | `makeFileSyntaxManager()`
`org.jdom.output.XMLOutputter` | `makePrettyXMLOutputter()` Constructs a JDOM XMLOutputter that outputs a JDOM Document in a nicely indented fashion.
`org.jdom.input.SAXBuilder` | `makeSAXBuilder()` Constructs a JDOM SAXBuilder.
`javax.swing.JMenu` | `makeTreeEditorLookAtMenu(XMLTreeEditFrame frame)`
`XMLTranslator` | `makeXMLTranslator()`
`XMLTranslator` | `makeXMLTranslator(ClassSyntax syntax)`
`java.lang.String` | `SAXDriverClass()` Returns the class name of the SAX parser that should be used by the `XML.parseXML` methods.
`void` | `setHomeNamespaceURI(java.lang.String uri)`
`void` | `setSAXDriverClass(java.lang.String name)`
`java.lang.Class[]` | `treeEditorTemplateClassRoots()`
`java.util.List` | `xmlSyntaxClasses(ClassSyntax classSyntax, java.lang.Class rootClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultClassFinder

    protected ClassFinder defaultClassFinder

### defaultClassSyntax

    protected ClassSyntax defaultClassSyntax

### defaultXMLTranslator

    protected XMLTranslator defaultXMLTranslator

### defaultFileSyntaxManager

    protected FileSyntaxManager defaultFileSyntaxManager

### homeNameSpaceURI

    protected java.lang.String homeNameSpaceURI

### SAXDriverClass

    protected java.lang.String SAXDriverClass

Constructor Detail

### XMLConfig

    public XMLConfig()

Method Detail

### makeClassFinder

    public ClassFinder makeClassFinder()

### makeClassSyntax

    public ClassSyntax makeClassSyntax(ClassFinder finder)

### makeXMLTranslator

    public XMLTranslator makeXMLTranslator(ClassSyntax syntax)

### makeXMLTranslator

    public XMLTranslator makeXMLTranslator()

### makeFileSyntaxManager

    public FileSyntaxManager makeFileSyntaxManager()

### makeDefaultInstances

    protected void makeDefaultInstances()

### defaultClassFinder

    public ClassFinder defaultClassFinder()

### defaultClassSyntax

    public ClassSyntax defaultClassSyntax()

### defaultXMLTranslator

    public XMLTranslator defaultXMLTranslator()

### defaultFileSyntaxManager

    public FileSyntaxManager defaultFileSyntaxManager()

### addImport

    public void addImport(java.lang.String name)

  Adds an import in the default ClassFinder. It will therefore affect all XML translators that use that ClassFinder.

### getHomeNamespace

    public org.jdom.Namespace getHomeNamespace()

### setHomeNamespaceURI

    public void setHomeNamespaceURI(java.lang.String uri)

### SAXDriverClass

    public java.lang.String SAXDriverClass()

  Returns the class name of the SAX parser that should be used by the `XML.parseXML` methods.

### setSAXDriverClass

    public void setSAXDriverClass(java.lang.String name)

### makeSAXBuilder

    public org.jdom.input.SAXBuilder makeSAXBuilder()

  Constructs a JDOM SAXBuilder.

### makePrettyXMLOutputter

    public org.jdom.output.XMLOutputter makePrettyXMLOutputter()

  Constructs a JDOM XMLOutputter that outputs a JDOM Document in a nicely indented fashion. For example:

          XMLConfig conf = ...;
          XMLOutputter outputter = conf.makePrettyXMLOutputter()
          outputter.output(doc, System.out);
          System.out.flush();

  The outputter has 1 space indent and newlines=true

### treeEditorTemplateClassRoots

    public java.lang.Class[] treeEditorTemplateClassRoots()

### makeTreeEditorLookAtMenu

    public javax.swing.JMenu makeTreeEditorLookAtMenu(XMLTreeEditFrame frame)

### xmlSyntaxClasses

    public java.util.List xmlSyntaxClasses(ClassSyntax classSyntax,
                                           java.lang.Class rootClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD